package com.example.util;

import com.example.springbootdemo.config.MailConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.mail.Session;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Date;
@Component
public class MailUtil {
    @Autowired
    MailConfig mailConfig;
    public MimeMessage createMimeMessage(Session session, String sendMail, String users) throws Exception {
        // 1. 创建一封邮件
        MimeMessage message = new MimeMessage(session);
        // 2. From: 发件人
        message.setFrom(new InternetAddress(sendMail, "【semsx】", "UTF-8"));
        // 3. To: 收件人（可以增加多个收件人、抄送、密送）
//        Address[] internetAddresses = new InternetAddress().parse(users);
        message.setRecipients(MimeMessage.RecipientType.TO, users);
        // 4. Subject: 邮件主题
        message.setSubject("打折钜惠", "UTF-8");
        // 5. Content: 邮件正文（可以使用html标签）
        message.setContent("XX用户你好 <br/> 今天全场5折,<br/> 快来抢购, 错过今天再等一年。。。", "text/html;charset=UTF-8");
        // 6. 设置发件时间
        message.setSentDate(new Date());
        // 7. 保存设置
        message.saveChanges();
        return message;
    }

}
